Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Comparing changes

Choose two branches to see what's changed or to start a new pull request. If you need to, you can also compare across forks.

Open a pull request

Create a new pull request by comparing changes across two branches. If you need to, you can also compare across forks.
base fork: colszowka/simplecov
base: v0.6.0
...
head fork: colszowka/simplecov
compare: v0.6.1
Checking mergeability… Don't worry, you can still create the pull request.
  • 6 commits
  • 4 files changed
  • 0 commit comments
  • 2 contributors
View
6 CHANGELOG.md
@@ -1,3 +1,9 @@
+v0.6.1 (2012-02-24)
+===================
+
+ * [BUGFIX] Don't force-load Railtie on Rails < 3. Fixes regression introduced with
+ #83. See https://github.com/colszowka/simplecov/issues/113
+
v0.6.0 (2012-02-22)
===================
View
3  README.md
@@ -1,4 +1,4 @@
-SimpleCov [![Build Status](https://secure.travis-ci.org/colszowka/simplecov.png)][Continuous Integration]
+SimpleCov [![Build Status](https://secure.travis-ci.org/colszowka/simplecov.png)][Continuous Integration] [![Dependency Status](https://gemnasium.com/colszowka/simplecov.png)][Dependencies]
=========
*Code coverage for Ruby 1.9*
@@ -16,6 +16,7 @@ SimpleCov [![Build Status](https://secure.travis-ci.org/colszowka/simplecov.png)
[Changelog]: https://github.com/colszowka/simplecov/blob/master/CHANGELOG.md "Project Changelog"
[Rubygem]: http://rubygems.org/gems/simplecov "SimpleCov @ rubygems.org"
[Continuous Integration]: http://travis-ci.org/colszowka/simplecov "SimpleCov is built around the clock by travis-ci.org"
+[Dependencies]: https://gemnasium.com/colszowka/simplecov "SimpleCov dependencies on Gemnasium"
[simplecov-html]: https://github.com/colszowka/simplecov-html "SimpleCov HTML Formatter Source Code @ GitHub"
View
4 lib/simplecov.rb
@@ -119,5 +119,5 @@ def usable?
# Load default config
require 'simplecov/defaults'
-# Load Rails integration
-require 'simplecov/railtie' if defined? Rails
+# Load Rails integration (only for Rails 3, see #113)
+require 'simplecov/railtie' if defined? Rails::Railtie
View
2  lib/simplecov/version.rb
@@ -1,3 +1,3 @@
module SimpleCov
- VERSION = "0.6.0"
+ VERSION = "0.6.1"
end

No commit comments for this range

Something went wrong with that request. Please try again.